Subscribe to a plan
curl --request POST \
--url https://payments.oaknetwork.org/api/v1/subscription/subscribe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"plan_id": "<string>",
"source_customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destination_customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_method_type": "CARD",
"payment_method_provider": "<string>",
"fee_bearer": "connected_account"
}
'import requests
url = "https://payments.oaknetwork.org/api/v1/subscription/subscribe"
payload = {
"plan_id": "<string>",
"source_customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destination_customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_method_type": "CARD",
"payment_method_provider": "<string>",
"fee_bearer": "connected_account"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
plan_id: '<string>',
source_customer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
destination_customer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
payment_method_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
payment_method_type: 'CARD',
payment_method_provider: '<string>',
fee_bearer: 'connected_account'
})
};
fetch('https://payments.oaknetwork.org/api/v1/subscription/subscribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "Subscription created successfully",
"data": {
"id": "<string>",
"status": "pending_activation",
"sub_status": "payment_init"
}
}{
"msg": "<string>",
"data": null,
"provider_message": "<string>"
}Subscriptions
Subscribe to a plan
Create a subscription for a customer to a plan.
POST
/
api
/
v1
/
subscription
/
subscribe
Subscribe to a plan
Authorizations
Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer
Body
application/json
Plan hash ID
Available options:
CARD Available options:
connected_account ⌘I